Package org.springframework.context.annotation

# Class ImportAwareAotBeanPostProcessor

java.lang.Object
org.springframework.context.annotation.ImportAwareAotBeanPostProcessor

All Implemented Interfaces:
  `org.springframework.beans.factory.config.BeanPostProcessor`, `org.springframework.core.Ordered`, `org.springframework.core.PriorityOrdered`

public final class ImportAwareAotBeanPostProcessor extends Object implements org.springframework.beans.factory.config.BeanPostProcessor, org.springframework.core.PriorityOrdered
A `BeanPostProcessor` that honours `ImportAware` callback using a mapping computed at build time.

Since:
  6.0
Author:
  Stephane Nicoll

## Field Summary

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`ImportAwareAotBeanPostProcessor(Map<String,String> importsMapping)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getOrder()`
`Object`
`postProcessBeforeInitialization(Object bean, String beanName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.beans.factory.config.BeanPostProcessor

`postProcessAfterInitialization`

## Constructor Details

### ImportAwareAotBeanPostProcessor

public ImportAwareAotBeanPostProcessor(Map<String,String> importsMapping)

## Method Details

### postProcessBeforeInitialization

public Object postProcessBeforeInitialization(Object bean, String beanName)

Specified by:
  `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`

### getOrder

public int getOrder()

Specified by:
  `getOrder` in interface `org.springframework.core.Ordered`